<%@ Page Language="VB" Debug="true" %>
<%
'----------------------------------------------------------------------------------
' This script is called by the applet while the user presses the "Save" button.
' It saves the resulting image to a file and asks the applet to open 'view.aspx'
' in a new window to prove that the image has been saved successfully.
'----------------------------------------------------------------------------------

' Get the collection of the uploaded files
Dim Files As HttpFileCollection
Files = Request.Files

' Check if the image file has been uploaded
If Files.Count > 0 Then
	' The processed image is uploaded as if it is a value of a field "image"
	Dim PostedFile As HttpPostedFile
        PostedFile = Files.Item("image")

	Dim FileName As String
        FileName = PostedFile.FileName.Substring(PostedFile.FileName.LastIndexOf("\")+1)
        
	' Let's save the uploaded file to the script's directory
	Dim FilePath As String
	FilePath = Server.MapPath("./")

	' Save uploaded file to the server
	PostedFile.SaveAs( FilePath + "\" + FileName )
		
	' Ask the applet to redirect the user's browser to the view.asp page
	Response.Write ("#SETDOCTAG=_blank" & vbCRLF)
	Response.Write ("#SHOWDOCUMENT=view.aspx?filename="+Server.URLEncode(FileName)+vbCRLF)
	
Else
    	' No image has been uploaded
    	Response.Write ("No file is not found in the request.")
    	Response.End
End If

%>
